#!/usr/bin/env python
"""encutils setup"""
__docformat__ = 'restructuredtext'
__version__ = '0.8.3'

import codecs
import os

try:
    from setuptools import setup, find_packages
except ImportError:
    from ez_setup import use_setuptools
    use_setuptools()
    from setuptools import setup, find_packages

def read(*rnames):
    return codecs.open(os.path.join(os.path.dirname(__file__), *rnames),
                       encoding='utf-8').read()

long_description = u'\n' + read('README.txt') + u'\n'

setup(
    name='encutils',
    version=__version__,
    package_dir={'':'src'},
    packages=find_packages('src'),
    include_package_data=True,
    package_data={
        '': ['doc/*']
    },
    test_suite = "encutils.tests",
    description = 'Encoding detection collection for Python.',
    long_description = long_description,
    author='Christof Hoeke',
    author_email='c@cthedot.de',
    url='http://cthedot.de/encutils/',
    download_url='http://cthedot.de/encutils/',
    license='''encutils has a dual-license, please choose whatever you prefer:

    * encutils is published under the `LGPL 3 or later <http://cthedot.de/encutils/license/>`__
    * encutils is published under the
      `Creative Commons License <http://creativecommons.org/licenses/by/3.0/>`__.

    ''',
    keywords=['encoding', 'i18n', 'xml', 'html', 'css'],
    platforms='Python 2.3 and later.',
    classifiers=[
        'Development Status :: 4 - Beta',
        'Environment :: Web Environment',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)',
        'License :: Other/Proprietary License',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Internet',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Software Development :: Internationalization',
        'Topic :: Software Development :: Libraries :: Python Modules',
        'Topic :: Text Processing :: Markup :: HTML',
        'Topic :: Text Processing :: Markup :: XML'
        ]
    )
